<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.mallshoplabel.mapper.MallShopLabelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="mallShopLabelResultMap" type="org.springblade.modules.ldt.mallshoplabel.entity.MallShopLabel">
        <id column="id" property="id"/>
        <result column="name" property="name"/>
        <result column="statement" property="statement"/>
        <result column="mall_id" property="mallId"/>
        <result column="label_id" property="labelId"/>
    </resultMap>


    <select id="selectMallShopLabelPage" resultMap="mallShopLabelResultMap">
        select * from ldt_mall_shop_label where is_deleted = 0
    </select>

</mapper>
